1. Avatars
Zebracat Api Docs
  • Quick Start
  • API Key Management
    • List API Keys
      GET
    • Create API Key
      POST
    • Get API Key
      GET
    • Delete API Key
      DELETE
  • Billing
    • Get Balance & Purchase History
      GET
    • Purchase Credits
      POST
    • Get Usage
      GET
    • Get Usage Detail
      GET
  • Avatars
    • List Avatars
      GET
  • Brands
    • List Brands
      GET
    • Create Brand
      POST
    • Update Brand
      PUT
    • Partial Update Brand
      PATCH
    • Delete Brand
      DELETE
  • AI Characters
    • List Characters
      GET
    • Create Character
      POST
    • Suggest Character
      POST
    • Get Character
      GET
    • Update Character
      PUT
    • Partial Update Character
      PATCH
    • Delete Character
      DELETE
  • Image Generation
    • Generate AI Image
      POST
  • Videos
    • List Latest Videos
  • Music
    • List Music
    • Search Music
  • Projects
    • Rename Project
    • Delete Project
  • Scheduling
    • Connect Platform
    • Connected Platforms
    • Disconnect Platform
    • Create Post
    • List Posts
    • Get Post
    • Delete Post
  • Script Generation
    • Generate Voice-Over Script
  • Templates
    • List Templates
  • Agents
    • Agentic Video Generation
  • Video Generation
    • Audio to Video
    • Blog/URL to Video
    • Idea to Video
    • List Prompt Styles
    • Script to Video
    • Get Video Task Status
  • Video Translation
    • List Languages
    • Translate Video
  • Visual Styles
    • List Visual Styles
    • Create Visual Style
    • Activate Visual Style
    • Delete Visual Style
  • Voices
    • List Cloned Voices
    • Clone a Voice
    • List Voices
  • Webhooks
    • List Webhooks
    • Create Webhook
    • Get Webhook
    • Delete Webhook
  • Schemas
    • RequestBodies
      • activate_visual_styleData
    • APIKey
    • APIKeyCreate
    • Avatar
    • Brand
    • Character
    • ConnectPlatform
    • ConnectedPlatformsResponse
    • DisconnectPlatform
    • PostContent
    • PostResult
    • BulkPostResponse
    • SchedulingList
    • Template
    • Webhook
    • WebhookCreate
  1. Avatars

List Avatars

GET
https://api.zebracat.ai/v1/avatars
Avatars
Returns a paginated list of all available avatars.
Filtering by type:
?mode=video — AI video avatars (system-provided)
?mode=custom — Custom avatars uploaded by the authenticated user
Results include avatar metadata such as preview images, gender, age, style, and source files.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
Query Params

Responses

🟢200
application/json
Body

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.zebracat.ai/v1/avatars?page&page_size&mode&id' \
--header 'X-API-KEY: <api-key>'
Response Response Example
200 - Example 1
[
    {
        "id": 0,
        "preview": "string",
        "video_preview": "string",
        "status": "string",
        "overlay": "string",
        "name": "string",
        "gender": "string",
        "age": "string",
        "style": "string",
        "mode": "string",
        "category": "string",
        "used_for_new_user_flow": false,
        "suggested_voice_id": "string",
        "is_favorite": false,
        "srcs": "string",
        "noisy_overlay": "string",
        "face_detection_issue": false,
        "is_custom": false,
        "is_ugc": false
    }
]
Previous
Get Usage Detail
Next
List Brands
Built with